Diagrams: export to image or pdf (or direct printing) doesn't respect Print Composer layout when 

using MM as units
Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14412

Description

Hi,

I noticed something wired when I'm using diagrams in QGIS.

In fact, when I'm using diagrams and I use millimeters as unit (no issue with map units) I can't export correctly my map in pdf or png

format.

If you look at the first attached image, you can see a map from the print composer with diagrams.

The layout is as I expected but when I'm using an export to pdf or image (even a direct print) I have in output the second image attached.

The position changed and some of them disappeared.

History

#1 - 2011-11-04 03:00 AM - alicebtoklas -

- Operating System changed from Windows 7 to All

Same problem for me on ubuntu, only when I use millimeters as unit.

Really annoying.

#2 - 2011-11-18 08:26 AM - Giovanni Manghi

- Subject changed from Export to image doesn't respect Print Composer layout to diagrams: export to image or pdf (or direct printing) doesn't respect 

Print Composer layout

#3 - 2011-12-13 08:55 PM - Alister Hood

export to image or pdf (or direct printing) doesn't respect Print Composer layout

1) I think the problem is actually the other way around: 

If you zoom in and out on the print composer, you will notice that the diagrams move around, and different ones are hidden at different zoom levels.  So it

looks like the diagrams displayed in the composer are being placed by PAL to suit the screen, not the paper.  This is similar to #3786 (fixed in Trunk), and

I know it also used to be a problem with new generation labels, which also use PAL.  (I haven't checked if it is still a problem with labels)

In the composer PAL should place things to suit the paper, which would mean that they would be shown in the same location on the page regardless of the

zoom.

2) The placement on the exported page is also quite wrong - maybe it is doing the placement calculations for the wrong scale or something.
#4 - 2011-12-24 01:52 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Subject changed from diagrams: export to image or pdf (or direct printing) doesn't respect Print Composer layout to Diagrams: export to image or pdf 

(or direct printing) doesn't respect Print Composer layout when using MM as units

#5 - 2011-12-24 06:07 AM - Giovanni Manghi

see also #4345

#6 - 2012-05-21 07:09 AM - Stef Lef

Still a big problem as of version 1.9 !

1) All exports of diagrams overlay fails when set to MM ... as described by Alister.

2) Priority on the diagram forms dont seem to work if set at a higher priority then low.

3) Tested with all types of rendering and even with old symbology setting.

4) There is no legend for diagrams. Could be cool to include a circle corresponding to the max set in the diagram form.

Version 1.9 Mac

#7 - 2012-08-17 04:20 AM - Matthias Kuhn

- Target version changed from Version 1.8.0 to Version 2.0.0

- Status changed from Open to Feedback

Fixed in my repo:

https://github.com/matthias-kuhn/Quantum-GIS/tree/print-diagram

Awaiting approval.

Concerning 4) refer to #4255

edit:

I'm not sure if this is the best way to fix this. The fix feels like messing too much with different units. Maybe there is a simpler fix possible?

#8 - 2012-09-05 05:31 AM - Matthias Kuhn

- Resolution set to fixed

- Status changed from Feedback to Closed

Fixed in Changeset commit:8f891c5e742205e095b8ae8daddc6213eef0e5e2 and commit:1497cbbabc7be5c3e980cc72699c320e045005bd

Files

PrintComposer.png 604 KB 2011-11-02 Alban P

Print.png 1.07 MB 2011-11-02 Alban P
